Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_FixedArray_Var_T< T, T_slice > Class Template Reference

Parametrized implementation of _var class for arrays with elements of fixed size. More...

`#include <Array_VarOut_T.h>`

Inheritance diagram for TAO_FixedArray_Var_T< T, T_slice >:

[legend]
Collaboration diagram for TAO_FixedArray_Var_T< T, T_slice >:

[legend]
List of all members.

## Public Methods
| TAO_FixedArray_Var_T (void)
| TAO_FixedArray_Var_T (T_slice *)
| TAO_FixedArray_Var_T (const TAO_FixedArray_Var_T< T, T_slice > &)
TAO_FixedArray_Var_T< T, T_slice > & | operator= (T_slice *)
TAO_FixedArray_Var_T< T, T_slice > & | operator= (const TAO_FixedArray_Var_T< T, T_slice > &)

## Detailed Description

### template<typename T, typename T_slice>
class TAO_FixedArray_Var_T< T, T_slice >

Parametrized implementation of _var class for arrays with elements of fixed size.

## Constructor & Destructor Documentation

template<typename T, typename T_slice>
ACE_INLINE TAO_FixedArray_Var_T< T, T_slice >::TAO_FixedArray_Var_T | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_FixedArray_Var_T< T, T_slice >::TAO_FixedArray_Var_T | ( | T_slice * |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_FixedArray_Var_T< T, T_slice >::TAO_FixedArray_Var_T | ( | const TAO_FixedArray_Var_T< T, T_slice > & |  | ) |

## Member Function Documentation

template<typename T, typename T_slice>
TAO_FixedArray_Var_T< T, T_slice > & TAO_FixedArray_Var_T< T, T_slice >::operator= | ( | const TAO_FixedArray_Var_T< T, T_slice > & |  | ) |

template<typename T, typename T_slice>
T_slice TAO_FixedArray_Var_T< T, T_slice > & TAO_FixedArray_Var_T< T, T_slice >::operator= | ( | T_slice * |  | ) |

The documentation for this class was generated from the following files:

- Array_VarOut_T.h
- Array_VarOut_T.cpp
- Array_VarOut_T.inl